Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.nativebinaries.tasks
[Groovy] Class InstallExecutable

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.tasks.InstallExecutable

    @Incubating
    class InstallExecutable
    extends DefaultTask

Installs an executable with it's dependent libraries so it can be easily executed.

Property Summary
`File` | `destinationDir` The directory to install files into.
`File` | `executable` The executable file to install.
`FileCollection` | `libs` The library files that should be installed.
`ToolChain` | `toolChain` The tool chain used for linking.

Constructor Summary
`InstallExecutable(Instantiator instantiator, FileOperations fileOperations)`

Method Summary
`void` | `install()`
`void` | `lib(Object libs)` Adds a set of library files to be installed.

Property Detail

### destinationDir

    @OutputDirectory
    File destinationDir

  The directory to install files into.

### executable

    @InputFile
    File executable

  The executable file to install.

### libs

    @InputFiles
    FileCollection libs

  The library files that should be installed.

### toolChain

    ToolChain toolChain

  The tool chain used for linking.

Constructor Detail

### InstallExecutable

    @Inject
    InstallExecutable(Instantiator instantiator, FileOperations fileOperations)

Method Detail

### install

    @TaskAction
    void install()

### lib

    void lib(Object libs)

  Adds a set of library files to be installed. The provided libs object is evaluated as per Project.files.

Gradle API 1.10